Name:           plexus-classworlds
Version:        2.6.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        Plexus Classworlds Classloader Framework
License:        ASL 2.0 and Plexus
URL:            https://github.com/codehaus-plexus/plexus-classworlds
BuildArch:      noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)

# test deps missed by builddep
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(xml-apis:xml-apis)


%description
Classworlds is a framework for container developers
who require complex manipulation of Java's ClassLoaders.
Java's native ClassLoader mechanisms and classes can cause
much headache and confusion for certain types of
application developers. Projects which involve dynamic
loading of components or otherwise represent a 'container'
can benefit from the classloading control provided by
classworlds.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%mvn_file : %{name} plexus/classworlds
%mvn_alias : classworlds:classworlds

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt LICENSE-2.0.txt




%changelog
* Fri Aug 21 2020 neoclust <neoclust> 2.6.0-3.mga8
+ Revision: 1617148
- Rebuild for java11

* Sat Feb 15 2020 umeabot <umeabot> 2.6.0-2.mga8
+ Revision: 1528639
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 2.6.0-1.mga8
+ Revision: 1431707
- Update to upstream version 2.6.0

* Sat Nov 17 2018 guillomovitch <guillomovitch> 2.5.2-8.mga7
+ Revision: 1330378
- fix build dependencies

* Wed Sep 19 2018 umeabot <umeabot> 2.5.2-7.mga7
+ Revision: 1274309
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 2.5.2-6.mga6
+ Revision: 1099628
- Add missing build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 2.5.2-4.mga6
+ Revision: 977767
- First rebuild of the java stack
- sync package plexus-classworlds with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.2-5.mga5
+ Revision: 751137
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.5.2-3.mga5
+ Revision: 670568
- really obsolete classworlds this time

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.5.2-2.mga5
+ Revision: 670334
- revert obsolete classworlds for now

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2.5.2-1.mga5
+ Revision: 670127
- 2.5.2
- obsolete classworlds

* Tue Aug 05 2014 luigiwalser <luigiwalser> 2.5.1-4.mga5
+ Revision: 660055
- Add alias for classworlds:classworlds (from fedora)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 2.5.1-2.mga4
+ Revision: 482628
- Rebuild against new javapackages
- New version
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 2.4-11.mga4
+ Revision: 451080
- Install required ASL 2.0 license text

* Mon Jul 08 2013 dmorgan <dmorgan> 2.4-9.mga4
+ Revision: 451073
- Revert obsoleting classworld

* Mon Jul 08 2013 dmorgan <dmorgan> 2.4-8.mga4
+ Revision: 451066
- Provide and obsolete classworlds

* Sun Jan 13 2013 umeabot <umeabot> 2.4-7.mga3
+ Revision: 377837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.4-6.mga3
+ Revision: 293160
- Fix OSGi infos

* Mon Jul 16 2012 dmorgan <dmorgan> 2.4-5.mga3
+ Revision: 271293
- Remove rpm bug workaround

* Mon Jan 09 2012 gil <gil> 2.4-4.mga2
+ Revision: 193774
- build fix depmap
- rebuilt with maven3 support, used new macro

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4-3.mga1
+ Revision: 93015
- Rebuild after bootstrapping
- imported package plexus-classworlds


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.4-1
- Update to latest upstream version
- Drop ant build parts
- Versionless jars & javadocs
- Enable tests again

* Tue Dec 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2.3-2
- Fix FTBFS.

* Tue Jul 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.3-1
- Version bump
- Fix few small packaging guidelines violations

* Thu Aug 20 2009 Andrew Overholt <overholt@redhat.com> 0:1.2-0.a9.8
- Bump release.

* Wed Aug 19 2009 Andrew Overholt <overholt@redhat.com> 0:1.2-0.a9.7
- Document sources and patches

* Wed Aug 19 2009 Andrew Overholt <overholt@redhat.com> 0:1.2-0.a9.6
- Update tarball-building instructions
- Remove gcj support
- Remove unnecessary post requirements

* Thu May 14 2009 Fernando Nasser <fnasser@redhat.com> 0:1.2-0.a9.6
- Fix license specification

* Tue Apr 28 2009 Yong Yang <yyang@redhat.com> 0:1.2-0.a9.5
- Add BRs maven2-plugin-surfire*, maven-doxia*
- Rebuild with maven2-2.0.8 built in non-bootstrap mode

* Mon Mar 16 2009 Yong Yang <yyang@redhat.com> 0:1.2-0.a9.4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Tue Jan 13 2009 Yong Yang <yyang@redhat.com> 0:1.2-0.a9.3jpp.1
- re-build with maven

* Tue Jan 06 2009 Yong Yang <yyang@redhat.com> 0:1.2-0.a9.2jpp.1
- Imported into devel from dbhole's maven 2.0.8 packages

* Wed Jan 30 2008 Deepak Bhole <dbhole@redhat.com> 0:1.2-0.a9.1jpp.1
- Initial build -- merged from JPackage
